[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.Create

Create - constructor for TButtonGlyph: frees the Images cache then creates a Glyph Bitmap

## Declaration

Source position: buttons.pp line 115

`public constructor TButtonGlyph.Create;`

## Description

If you drop a component on the form editor you don´t need to add code to explicitly create it. The component is automatically created together with the the form, and destroyed when the form is destroyed. However, if you create the component by code don´t forget to free it when it is no longer needed. Constructors allocate memory and system resources needed by the object. They also call the constructor of any sub-objects present in the class.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.